Subject: RE: [IPFIX] IPv6 care-of and home address

From: "Schmoll, Carsten" <[email-masked]>
Date: Tue, 5 Dec 2006 12:27:21 +0100

Dear Andrew,

I think I tend to disagree:

Afaik mobile IPv6 explicitely introduced the 
type 2 routing header for transporting the HoA:

"The Type 2 Routing header is different from the Type 0 Routing header defined in RFC 2460 in that it can only store a single address and is only specified for use with Mobile IPv6. The Type 0 Routing header can store multiple addresses and is processed by routers for generalized source routing. Using a different routing type allows firewalls to treat source-routed packets differently from packets sent directly by Mobile IPv6-capable correspondent nodes to mobile nodes that are away from home."

Similarly this is true for the Destinatio Option of Type 201 used in MIPv6:

"The Home Address option in the Destination Options extension header is used to indicate the home address of the mobile node and is included in binding updates sent to home agents and packets sent directly to Mobile IPv6-capable correspondent nodes by a mobile node when it is away from home when a binding exists."

Therefore I would suggest to keep the originally proposed names and
in the text for the draft mention explicitely where these HoAs
were taken from.

Regards,
Carsten.

> -----Original Message-----
> From: Andrew Johnson [mailto:[email-masked]] 
> Sent: Thursday, November 30, 2006 7:49 PM
> To: Schmoll, Carsten
> Cc: Juergen Quittek; [email-masked]
> Subject: Re: [IPFIX] IPv6 care-of and home address
> 
> Schmoll, Carsten wrote:
> > Andrew,
> > 
> > I was wondering what "kind of" IP address my
> > collector will receive when there is only 
> > sourceIPv6Address in the accounting flow record.
> > 
> > But I agree now that we should say that 
> > in a mobile environment an sourceIPv6Address
> > will always denote the care-of address from
> > the usual place in the IPv6 header.
> > 
> > We probably want to note this in the info model.
> > 
> > So I change my proposal to just request:
> > 
> >  sourceIPv6HomeAddress
> >  destinationIPv6HomeAddress
> 
> The address from the IPv6 routing header is not specifically
> a "Home Address" is it?  While the Mobile IPv6 environment
> conceptualises it this way, you really are collecting is an
> Ipv6RoutingHeaderIpv6Address.
> 
> Similarly for the Destination Extension header.
> 
> I'm not sure about the names there, but you get the idea.
> 
> Cheers
> 
> Andrew
> 
> 
> 
> > Jürgen: do you agree too?
> > May a write some short text for the info model on that?
> > 
> > Best regards,
> > Carsten.
> >   
> > 
> >> -----Original Message-----
> >> From: Andrew Johnson [mailto:[email-masked]] 
> >> Sent: Thursday, November 30, 2006 4:08 PM
> >> To: Schmoll, Carsten
> >> Cc: Juergen Quittek; [email-masked]
> >> Subject: Re: [IPFIX] IPv6 care-of and home address
> >>
> >> Hi Carsten
> >>
> >> The Routing EH and Destination EH have the source and
> >> destination Home Addresses in them, so new new fields
> >> for them make sense.
> >>
> >> The Care of Addresses are just from the IPv6 header, so
> >> why do you need new types for them?
> >>
> >> regards
> >>
> >> Andrew
> >>
> >>
> >> Schmoll, Carsten wrote:
> >>> Dear all,
> >>>
> >>> we are currently investigating on a prototype to send
> >>> accounted IP flow information in a mobile IPv6 environment.
> >>>
> >>> For reasons of simplicity and speed we usually export the
> >>> care-of address (CoA) and the correspondent node's IP
> >>> address as sourceIPv6Address and destinationIPv6Address. 
> >>>
> >>> In case of multiple users on one terminal however (or one
> >>> user making use of multiple of his identities) we'll have
> >>> to capture and export the home address (HoA) too. The HoA
> >>> is embedded in an IPv6 extension header of either type
> >>> Routing EH (43) or the Destination Options EH (60).
> >>>
> >>> This would result then in a flow record with two IPv6 source
> >>> addresses. Even though repetition of the sourceIPv6 address
> >>> is legal I would like to propose additional IEs to avoid
> >>> ambiguity. These could be:
> >>>
> >>> sourceIPv6CareOfAddress  
> >>> sourceIPv6HomeAddress
> >>> destinationIPv6CareOfAddress  
> >>> destinationIPv6HomeAddress
> >>>
> >>> This would also cover the case where both endpoints of a 
> >>> communication are mobile nodes.
> >>>
> >>> What do you think?
> >>>
> >>> Best regards,
> >>> Carsten.
> >>>
> >>>  
> >>>> -----Original Message-----
> >>>> From: Andrew Johnson [mailto:[email-masked]] 
> >>>> Sent: Tuesday, November 07, 2006 11:27 PM
> >>>> To: Juergen Quittek
> >>>> Cc: Schmoll, Carsten; [email-masked]
> >>>> Subject: Re: [IPFIX] IPv6 care-of and home address
> >>>>
> >>>> Juergen Quittek wrote:
> >>>>> Carsten,
> >>>>>
> >>>>> I do understand how these addresses are associated with
> >>>>> an interface.  But how do you think are they associated
> >>>>> with a certain flow?
> >>>> That really depends on the common properties that define
> >>>> Carsten's flow.  Perhaps these different properties could
> >>>> part of an Option Template Record that provides information
> >>>> on an interface.
> >>>>
> >>>> However, it seems that "The IPv6 source address in the IP
> >>>> packet header" is the wrong element to use these and new
> >>>> ones should be requested if there is an application in
> >>>> mind.
> >>>>
> >>>>
> >>>> regards
> >>>>
> >>>> Andrew
> >>>>
> >>>>
> >>
> 
> 

_______________________________________________
IPFIX mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipfix